www.rqgq.net > python3.4 mysqlDB 模块安装的时候出现的问题,求...

python3.4 mysqlDB 模块安装的时候出现的问题,求...

MySQL_python并不支持python3,可以使用pip install PyMySQL#支持python3

mysqldb官方只支持python2 有非官方制作的安装包,支持到3.4 3.5的还没看到

安装模块有更简便的方法,不是非要用pip安装。 如果你用的是PyCharm,可以在菜单中依次选择: File Setting Project:untitled Project Interpreter 然后稍等一下,点右边的绿色“+”加号。 然后在放大镜的符号后面输入:MySQL,就会找到对应的安装...

>> 可是python3.4.3里面根本就没有MySQLdb的模块,取而代之的是pymysql(已安装) 没有的模块自己安装就好。没什么不能用的。包名是这个:mysqlclient pip install mysqlclient

MySQLdb只支持Python2.*,还不支持3.* 可以用PyMySQL代替。安装方法:pip install PyMySQL 然后在需要的项目中,把 __init__.py中添加两行: import pymysql pymysql.install_as_MySQLdb() 就可以用 import MySQLdb了。其他的方法与MySQLdb一样。

mysqldb不支持python3 python3下可用的mysql驱动有pymysql(pip安装)和mysql官方提供的connector

MySQLdb只支持Python2.*,还不支持3.* 可以用PyMySQL代替。安装方法:pip install PyMySQL 然后在需要的项目中,把 __init__.py中添加两行: import pymysql pymysql.install_as_MySQLdb() 就可以用 import MySQLdb了。其他的方法与MySQLdb一样。

到官方下载MySQL for Python 然后解压,打开README: 里面有安装过程: $ tar xfz MySQL-python-1.2.1.tar.gz $ cd MySQL-python-1.2.1 $ # edit site.cfg if necessary $ python setup.py build $ sudo python setup.py install # or su first ...

以前流行使用 MySQLdb,可使用pip安装: pip install mysql-python 也可以选择mysql自己提供的库来连接

目测你是在windows下安装吧吗?windows下只能通过exe安装,可以到这里去下载,目前只支持python2版本http://www.lfd.uci.edu/~gohlke/pythonlibs/#MySQL_python。

网站地图

All rights reserved Powered by www.rqgq.net

copyright ©right 2010-2021。
www.rqgq.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com